/*
 * vars.h: header for vars.c
 *
 * Generated from vars.h.proto automatically by the Makefile
 *
 * Copyright (c) 1990 Michael Sandrof.
 * Copyright (c) 1991, 1992 Troy Rollo.
 * Copyright (c) 1992-2004 Matthew R. Green.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * NOTE: This file is automatically created!
 *
 * from: @(#) eterna: vars.h.proto,v 1.50 2004/01/06 06:04:59 mrg Exp 
 * @(#)$eterna: vars.h,v 1.45 2005/09/21 20:03:01 mrg Exp $
 */

#ifndef __vars_h_
#define __vars_h_

	int	do_boolean(u_char *, int *);
	void	set_variable(u_char *, u_char *, u_char *);
	int	get_int_var(int);
	u_char	*get_string_var(int);
	void	set_int_var(int, unsigned int);
	void	set_string_var(int, u_char *);
	void	init_variables(void);
	u_char	*make_string_var(u_char *);
	void	set_highlight_char(u_char *);
	int	charset_size(void);
	void	save_variables(FILE *, int);
	void	set_var_value(int, u_char *);

extern	char	*var_settings[];
extern	int	loading_global;

/* var_settings indexes ... also used in display.c for highlights */
#define OFF 0
#define ON 1
#define TOGGLE 2

#define DEBUG_COMMANDS		0x0001
#define DEBUG_EXPANSIONS	0x0002
#define DEBUG_FUNCTIONS		0x0004

/* indexes for the irc_variable array */
#define ALWAYS_SPLIT_BIGGEST_VAR 0
#define AUTO_UNMARK_AWAY_VAR 1
#define AUTO_WHOWAS_VAR  2
#define BACKGROUND_COLOUR_VAR 3
#define BEEP_VAR 4
#define BEEP_MAX_VAR 5
#define BEEP_ON_MSG_VAR 6
#define BEEP_WHEN_AWAY_VAR 7
#define BIND_LOCAL_DCCHOST_VAR 8
#define BOLD_VIDEO_VAR 9
#define CHANNEL_NAME_WIDTH_VAR 10
#define CLIENTINFO_VAR 11
#define CLOCK_VAR 12
#define CLOCK_24HOUR_VAR 13
#define CLOCK_ALARM_VAR 14
#define CMDCHARS_VAR 15
#define COLOUR_VAR 16
#define COMMAND_MODE_VAR 17
#define CONTINUED_LINE_VAR 18
#define CTCP_REPLY_BACKLOG_SECONDS_VAR 19
#define CTCP_REPLY_FLOOD_SIZE_VAR 20
#define CTCP_REPLY_IGNORE_SECONDS_VAR 21
#define DCCHOST_VAR 22
#define DCCPORT_VAR 23
#define DCC_BLOCK_SIZE_VAR 24
#define DEBUG_VAR 25
#define DECRYPT_PROGRAM_VAR 26
#define DISPLAY_ENCODING_VAR 27
#define DISPLAY_VAR 28
#define EIGHT_BIT_CHARACTERS_VAR 29
#define ENCRYPT_PROGRAM_VAR 30
#define EXEC_PROTECTION_VAR 31
#define FLOOD_AFTER_VAR 32
#define FLOOD_RATE_VAR 33
#define FLOOD_USERS_VAR 34
#define FLOOD_WARNING_VAR 35
#define FOREGROUND_COLOUR_VAR 36
#define FULL_STATUS_LINE_VAR 37
#define HELP_PAGER_VAR 38
#define HELP_PATH_VAR 39
#define HELP_PROMPT_VAR 40
#define HELP_WINDOW_VAR 41
#define HIDE_CHANNEL_KEYS_VAR 42
#define HIDE_PRIVATE_CHANNELS_VAR 43
#define HIGHLIGHT_CHAR_VAR 44
#define HISTORY_VAR 45
#define HISTORY_FILE_VAR 46
#define HOLD_MODE_VAR 47
#define HOLD_MODE_MAX_VAR 48
#define INDENT_VAR 49
#define INPUT_ALIASES_VAR 50
#define INPUT_ENCODING_VAR 51
#define INPUT_PROMPT_VAR 52
#define INPUT_PROTECTION_VAR 53
#define INSERT_MODE_VAR 54
#define INVERSE_VIDEO_VAR 55
#define IRC_ENCODING_VAR 56
#define IRCHOST_VAR 57
#define LASTLOG_VAR 58
#define LASTLOG_LEVEL_VAR 59
#define LOAD_PATH_VAR 60
#define LOG_VAR 61
#define LOGFILE_VAR 62
#define MAIL_VAR 63
#define MAKE_NOTICE_MSG_VAR 64
#define MAX_RECURSIONS_VAR 65
#define MENU_VAR 66
#define MINIMUM_SERVERS_VAR 67
#define MINIMUM_USERS_VAR 68
#define NO_ASK_NICKNAME_VAR 69
#define NO_CTCP_FLOOD_VAR 70
#define NOTIFY_HANDLER_VAR 71
#define NOTIFY_LEVEL_VAR 72
#define NOTIFY_ON_TERMINATION_VAR 73
#define NOVICE_VAR 74
#define OLD_ENCRYPT_PROGRAM_VAR 75
#define REALNAME_VAR 76
#define SAME_WINDOW_ONLY_VAR 77
#define SCREEN_OPTIONS_VAR 78
#define SCROLL_VAR 79
#define SCROLL_LINES_VAR 80
#define SEND_IGNORE_MSG_VAR 81
#define SHELL_VAR 82
#define SHELL_FLAGS_VAR 83
#define SHELL_LIMIT_VAR 84
#define SHOW_AWAY_ONCE_VAR 85
#define SHOW_CHANNEL_NAMES_VAR 86
#define SHOW_END_OF_MSGS_VAR 87
#define SHOW_NUMERICS_VAR 88
#define SHOW_STARS_VAR 89
#define SHOW_STATUS_ALL_VAR 90
#define SHOW_WHO_HOPCOUNT_VAR 91
#define STAR_PREFIX_VAR 92
#define STATUS_AWAY_VAR 93
#define STATUS_CHANNEL_VAR 94
#define STATUS_CHANOP_VAR 95
#define STATUS_CLOCK_VAR 96
#define STATUS_FORMAT_VAR 97
#define STATUS_FORMAT1_VAR 98
#define STATUS_FORMAT2_VAR 99
#define STATUS_GROUP_VAR 100
#define STATUS_HOLD_VAR 101
#define STATUS_HOLD_LINES_VAR 102
#define STATUS_INSERT_VAR 103
#define STATUS_MAIL_VAR 104
#define STATUS_MODE_VAR 105
#define STATUS_NOTIFY_VAR 106
#define STATUS_OPER_VAR 107
#define STATUS_OVERWRITE_VAR 108
#define STATUS_QUERY_VAR 109
#define STATUS_SERVER_VAR 110
#define STATUS_UMODE_VAR 111
#define STATUS_USER_VAR 112
#define STATUS_USER1_VAR 113
#define STATUS_USER2_VAR 114
#define STATUS_USER3_VAR 115
#define STATUS_VOICE_VAR 116
#define STATUS_WINDOW_VAR 117
#define SUPPRESS_SERVER_MOTD_VAR 118
#define SWITCH_TO_QUIET_CHANNELS 119
#define TAB_VAR 120
#define TAB_MAX_VAR 121
#define UNDERLINE_VIDEO_VAR 122
#define USE_OLD_MSG_VAR 123
#define USER_INFO_VAR 124
#define USER_WALLOPS_VAR 125
#define VERBOSE_CTCP_VAR 126
#define WARN_OF_IGNORES_VAR 127
#define XTERM_GEOMOPTSTR_VAR 128
#define XTERM_OPTIONS_VAR 129
#define XTERM_PATH_VAR 130
#define NUMBER_OF_VARIABLES 131

#endif /* __vars_h_ */
